﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private Swipe As CLVSwipe
	Private CustomListView1 As CustomListView
	Private ProgressBar1 As B4XView
	'Private lblPullToRefresh As B4XView
	Private CustomListView1 As CustomListView
	Private clvItem As CustomListView
	'Private xui As XUI
	'Private nested As CLVNested
	
	Private Swipe As CLVSwipe
	
	Private lblPullToRefresh As Label
	'Private ProgressBar1 As ProgressBar
	
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("1")
	Swipe.Initialize(CustomListView1, Me, "Swipe")
	Swipe.ActionColors = CreateMap("Delete": xui.Color_Red, "Do Something Else": xui.Color_Green, _
		"Action 1": xui.Color_Red, "Action 2": xui.Color_Blue, "Action 3": xui.Color_Yellow)
	Dim PullToRefreshPanel As B4XView = xui.CreatePanel("")
	PullToRefreshPanel.SetLayoutAnimated(0, 0, 0, 100%x, 70dip)
	PullToRefreshPanel.LoadLayout("PullToRefresh")
	Swipe.PullToRefreshPanel = PullToRefreshPanel
	CustomListView1.DefaultTextColor = xui.Color_Black
	CustomListView1.DefaultTextBackgroundColor = xui.Color_White
	CreateItems
	#if B4A
	B4XPages.AddMenuItem(Me, "Toggle Scrolling")
	#end if
End Sub

Sub B4XPage_MenuClick (Tag As String)
	If Tag = "Toggle Scrolling" Then
		Swipe.ScrollingEnabled = Not(Swipe.ScrollingEnabled)
	End If
End Sub


Sub CustomListView1_ItemClick (Index As Int, Value As Object)
	Swipe.CloseLastSwiped
End Sub

Sub CustomListView1_ScrollChanged (Offset As Int)
	If xui.IsB4i Then
		Swipe.ScrollChanged(Offset)
	End If
	Swipe.CloseLastSwiped
End Sub

Sub Swipe_ActionClicked (Index As Int, ActionText As String)
	Log($"Action clicked: ${Index}, ${ActionText}"$)
	If ActionText = "Delete" Then
		CustomListView1.RemoveAt(Index)
	Else If ActionText = "Do Something Else" Then
		Dim p As B4XView = CustomListView1.GetPanel(Index)
		Dim lbl As B4XView = p.GetView(0)
		lbl.Text = "Done!!!"
	End If
End Sub

Sub Swipe_RefreshRequested
	lblPullToRefresh.Text = "Loading..."
	ProgressBar1.Visible = True
	'example!!!
	Sleep(3000)
	CustomListView1.Clear
	CreateItems
	
	Swipe.RefreshCompleted '<-- call to exit refresh mode
	lblPullToRefresh.Text = "Pull to refresh"
	ProgressBar1.Visible = False
End Sub

Sub CreateItems
	
	
	For i = 1 To 1
		addRow1(i)
		
	Next
	
	
	
End Sub
Private Sub addRow1(rowIndex As Int)
	
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl.SetColorAndBorder(xui.Color_Transparent, 1dip, xui.Color_Black, 5dip)
	pnl.SetLayoutAnimated(0, 0, 0, 500dip, 120dip)
	pnl.LoadLayout("2")            'has horizontal clv anchored all sides
	
	
	clvItem.Add(newItem(rowIndex, 2, "Item2"), 0)
	clvItem.Add(newItem(rowIndex, 3, "Item3"), 0)
	clvItem.Add(newItem(rowIndex, 4, "Item4"), 0)
	clvItem.Add(newItem(rowIndex, 5, "Item5"), 0)
	clvItem.Add(newItem(rowIndex, 6, "Item6"), 0)
	clvItem.Add(newItem(rowIndex, 7, "Item7"), 0)
	clvItem.Add(newItem(rowIndex, 8, "Item8"), 0)

	
	CustomListView1.Add(pnl, 1)
End Sub
Private Sub newItem(rowIndex As Int, colIndex As Int, s As String) As B4XView
	Dim btn As Button
	btn.Initialize("btn")
	Dim btnx As B4XView = btn
	btnx.SetTextAlignment("CENTER", "CENTER")
	btnx.Text = s
	btnx.Tag = Array As Int(rowIndex, colIndex)
	btnx.Color = Colors.Black
	btnx.SetColorAndBorder(xui.Color_black, 1dip, xui.Color_Black, 5dip)
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl = xui.CreatePanel("")
	'pnl.SetColorAndBorder(xui.Color_Transparent, 1dip, xui.Color_Black, 5dip)
	pnl.SetLayoutAnimated(0, 0, 0,250dip, 120dip)
	pnl.AddView(btnx, 0, 0, 250dip, 120dip)
	Return pnl
End Sub

